path_to_file = "#{Rails.root}/script_7920.log"
file = File.open(path_to_file, "w+")

r = Hermes::HousingRequest.all
count = r.count

r.batch_size(5).each_with_index do |hr, i|
  begin
    applicant = hr.main_applicant
    updated = 'Ok'
    if applicant && applicant.birth_date != hr.requester_birth_date
      hr.set(requester_birth_date: applicant.birth_date, updated_at: DateTime.now)
      updated = "update birth date #{applicant.birth_date}"
      hr.reload
      if hr.nuds && hr.nuds.length > 0
        hr.nuds.each do |nud|
          if nud.unique_number.length == 18
            so = Hermes::BoClient::AddRequestTask.new(housing_request_id: hr.id, nud_id: nud.id)
          end
        end
      elsif hr
        so = Hermes::BoClient::AddRequestTask.new(housing_request_id: hr.id)
      end
      if so
        ExecuteSopraTaskJob.perform_later(so.endpoint, so.to_xml, "post", "Hermes::HousingRequest", hr.id.to_s)
        updated = updated + " -> flux 30 envoyé"
      end
     
    end

    line = "#{i}/#{count} #{hr.id} #{updated}\n"
    file.write(line)
    puts(line)
  rescue Exception => e
    line = "Erreur de traitement : #{e}\n"
    file.write(line)
    puts(line)
  end
end
file.close
